/**
 * ROAMING AGENTS API
 *
 * @author Matthew W. Coan
 * @version 1.0.0
 */
public abstract class Agent implements Runnable {
   private String name;
   public Agent(String name) { this.name = name; }
   public void init() { }
   public void run() { }
   public void start() { }
   public void stop() { }
   public String get_name() { return name; }
}
